```UFCFGL-30-1 Programming in c++```

# Programming in C++ 

This repo contains the source for resources used on UWE Programming in C++ module 2020.

These documents are written in markdown and can be viewed in GitLab as it will render markdown.

PDF files are available on blackboard and html or other formats for accessibility can be supplied on request. If you would like a more accessible version for reading ease or screen readers, please email Nathan (Nathan.renney@uwe.ac.uk).

# Module Overview



## Worksheets

Worksheets provide marked content in the form of tasks. Worksheets should be attempted outside of class hours and can be worked on in the practical sessions where your tutors can assist. Tasks should be committed to Gitlab and links supplied in blackboard by the stipulated deadlines.



## Lectures 



In the lectures for Programming in C++ we will be introducing new programming and computing concepts. We will explain them at a high level and demonstrate writing/using them.

Try to absorb these sessions rather than taking extensive notes. You will have a chance to ask questions and take notes during tutorials.



## Tutorials 



Tutorials can be seen as Q&A sessions. C++ is a challenging language to learn, and for us to help, we need to understand what aspects you need help with. With the current teaching situation, it is more important than ever that you ask questions and ***bring points to discuss*** (examples are welcome) to this session.

We can then collaboratively dive deeper into specific topics and support learning.



# Contributing

We welcome pull requests to fix typos or make suggestions.

Please keep files organised into directories. For example worksheets should have a directory per worksheet (with the relevant resources stored inside them). Use relative paths for images etc, so that this repo is portable. 