# Programming Concepts 101

Head to https://scratch.mit.edu/ and sign up for an account on MIT’s website by clicking Join Scratch atop the page. Any username (that’s available) is fine, but take care to remember it and your choice of password.

Then head to https://scratch.mit.edu/help/ and take note of the resources available to you before you dive into Scratch itself. In particular, you might want to skim the Getting Started Guide.

Next try your hand at [Worlds 2 A Platformer](https://scratch.mit.edu/projects/578408960/)! Click the green flag and then follow the instructions! Feel free to procrastinate a bit.

If you’ve no experience (or comfort) whatsoever with programming, rest assured that this project is more complex than what we expect for this first problem set. (Click See inside in Scratch’s top-right corner to look at each project’s underlying "implementation details.") But they do reveal what you can do with Scratch.

For another more simple example, see https://scratch.mit.edu/projects/176960980.

Again, take time to play the game, following the instructions, then click 'see inside' and consider how the logic creates the behavior you see from the game.

## Task

Now it’s time to choose your own adventure! Your mission is, quite simply, to have fun with Scratch and implement a project of your choice (be it an animation, a game, interactive art, or anything else, subject only to the following requirements.

- Your project should aim to have at least two sprites, at least one of which must resemble something other than a cat.
- Your project must have at least three scripts total (i.e., not necessarily three per sprite).
- Your project must use at least one condition, one loop, and one variable.
- Your project must use at least one sound.
- Your project should probably use a few dozen puzzle pieces overall.